Page MenuHomePhabricator

Special:Upload prepending "== {{int:filedesc}} ==" twice (Commons)
Closed, ResolvedPublic

Description

As reported on Commons: https://commons.wikimedia.org/wiki/Commons:Village_pump#Special:Upload_prepending...

Every upload with the classic upload-form got prepending the first headline {{int:filedesc}} twice (s. cleanup bot https://commons.wikimedia.org/wiki/Special:Contributions/OgreBot_2 , seems since 2018-02-07T20:37:02)

@TheDJ mentioned https://gerrit.wikimedia.org/r/#/c/398845/ as the reason.
Seems conrete: https://gerrit.wikimedia.org/r/#/c/398845/7/includes/specials/SpecialUpload.php

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2018, 10:26 AM
Perhelion added a subscriber: Jmabel.
Perhelion added a subscriber: matthiasmullie.
Perhelion updated the task description. (Show Details)Feb 14 2018, 10:33 AM
Restricted Application added a project: Multimedia. · View Herald TranscriptFeb 14 2018, 10:35 AM

Change 410203 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/core@master] Only add header when description not already has it

https://gerrit.wikimedia.org/r/410203

Jeff_G added a subscriber: Jeff_G.
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Feb 14 2018, 8:07 PM
Cparle claimed this task.Feb 21 2018, 5:33 PM
Cparle reassigned this task from Cparle to matthiasmullie.Feb 21 2018, 5:35 PM
Cparle added a subscriber: Cparle.

(one second thoughts, I'll just add myself as a reviewer in gerrit)

If there is no other section, why do we even need this section header at all?

Fae added a subscriber: Fae.Feb 28 2018, 8:13 AM

As far as I am aware, there is no community consensus on Wikimedia Commons that every image page should start with " {{int:filedesc}} ". It would be useful to make it easy for an uploader to add these types of headings, such as by pressing a "cleanup my wikitext" button, but it is a bad thing to force standardization on users based on unfounded assumptions.

Change 410203 merged by jenkins-bot:
[mediawiki/core@master] Only add header when description not already has it

https://gerrit.wikimedia.org/r/410203

TheDJ added a comment.Mar 6 2018, 11:17 AM

there is no community consensus on Wikimedia Commons that every image page should start with " {{int:filedesc}} "

Honestly, I see that as Commons' problem. If there is no consensus that it should start with it, then there is also no consensus that it shouldn't. This is a tool, not a magic guessing game. It's been doing this for years without significant complaints. Figure it out. is what I say. :)

On a personal note, i kinda like it. As I dislike putting licenses into the permission field of the information template.

MarcoAurelio removed a project: Gerrit.EditedMar 6 2018, 11:51 AM
MarcoAurelio added a subscriber: MarcoAurelio.

rm Gerrit as it doesn't seem it is an issue with our code review tool.

Fae added a comment.Mar 6 2018, 12:33 PM

there is no community consensus on Wikimedia Commons that every image page should start with " {{int:filedesc}} "

Honestly, I see that as Commons' problem. If there is no consensus that it should start with it, then there is also no consensus that it shouldn't. This is a tool, not a magic guessing game. It's been doing this for years without significant complaints. Figure it out. is what I say. :)
On a personal note, i kinda like it. As I dislike putting licenses into the permission field of the information template.

Amazing. So stuff can be pushed through in Phabricator, based on the views of the couple of people active here, and if "Wikimedia Commons" doesn't like it that's "their" fault because they ain't us, they don't own the code that runs the site, and "they" never bothered to sort out a proposal and vote to stop stuff getting pushed through here...

Seems an extreme viewpoint that makes me feel weirdly uncomfortable taking part in these discussions.

TheDJ added a comment.EditedMar 6 2018, 2:15 PM

Volunteer dev hat:
@Fae, no not at all ! The community doesn't know if it wants left or right. The software can't go left AND right. It's been left in this tool since 2011, it will thus stay left. If you want to change it to right, get the community to find consensus for right and then find someone to change the code (in a way that will pass code review). This has nothing to do with pushing through opinions, but with avoiding work (as we already have way too much work).

Personal hat:
I'm honestly SICK AND TIRED of the communities whining about every %$# thing. They should fork off if they know so much better and run their own infrastructure (and that's my volunteer feelings, i can't imagine how WMF staff feels). It's something petty every freaking day.

matthiasmullie added a comment.EditedMar 6 2018, 4:56 PM

I actually did change something: the filedesc header will always be added now, but up until recently, when !$wgUseCopyrightUpload && $license === '', there would be no filedesc header, just the comment (although it was very often added in there anyway - as evidenced by this ticket). So depending on input & config, there could be no filedesc header.
AIUI, on Commons, uploads without license (that didn't already include the header in the comment) would not have that header up until recently.

I found that specific code to be pretty unwieldy, and the resulting output relatively hard to predict.
And that makes it quite hard to make changes in there, as there was little consistent structure (e.g. adding patent approval for 3D uploads)

I wouldn't mind changing it back to what it was w.r.t the filedesc header (3D patent thing mostly just needs the license header to figure out where to put it, not filedesc header) if there's a better reason against the standardization :)

matthiasmullie closed this task as Resolved.Mar 27 2018, 8:27 AM